Debian Bug report logs - #661657
mednafen: FTBFS (" invalid conversion from 'void*' to 'gzFile'")

version graph

Package: src:mednafen; Maintainer for src:mednafen is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Date: Tue, 28 Feb 2012 23:15:04 UTC

Severity: serious

Tags: patch

Found in version mednafen/0.8.D.3-2

Fixed in version mednafen/0.8.D.3-3

Done: Stephen Kitt <steve@sk2.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#661657; Package src:mednafen. (Tue, 28 Feb 2012 23:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 28 Feb 2012 23:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: submit@bugs.debian.org
Subject: mednafen: FTBFS (" invalid conversion from 'void*' to 'gzFile'")
Date: Tue, 28 Feb 2012 23:11:44 +0000
Source: mednafen
Version: 0.8.D.3-2
Severity: serious

Hi,

mednafen FTBFS against the new zlib upload.  From the kfreebsd-i386 log:

g++ -DLOCALEDIR=\"/usr/share/locale\" -DHAVE_CONFIG_H -ffast-math -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I../include -I../intl   -fsigned-char  -Wall -Winline -Wshadow  -fomit-frame-pointer -finline-limit=6000 --param large-function-growth=800 --param inline-unit-growth=175 --param max-inline-insns-single=10000 -fno-strict-overflow -I -I -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security    -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -c -o file.o file.cpp
file.cpp: In function 'MDFNFILE* MakeMemWrap(void*, int)':
file.cpp:232:75: error: invalid conversion from 'void*' to 'gzFile' [-fpermissive]
/usr/include/zlib.h:1290:21: error:   initializing argument 1 of 'int gzread(gzFile, voidp, unsigned int)' [-fpermissive]
file.cpp:285:13: error: invalid conversion from 'void*' to 'gzFile' [-fpermissive]
/usr/include/zlib.h:1488:24: error:   initializing argument 1 of 'int gzclose(gzFile)' [-fpermissive]
file.cpp: In function 'MDFNFILE* MDFN_fopen(const char*, const char*, const char*, const char*)':
file.cpp:447:14: error: invalid conversion from 'void*' to 'gzFile' [-fpermissive]
/usr/include/zlib.h:1488:24: error:   initializing argument 1 of 'int gzclose(gzFile)' [-fpermissive]
file.cpp: In function 'bool MDFN_DumpToFileReal(const char*, int, const std::vector<PtrLengthPair>&)':
file.cpp:660:66: warning: too many arguments for format [-Wformat-extra-args]
file.cpp:673:85: warning: too many arguments for format [-Wformat-extra-args]
file.cpp:690:66: warning: too many arguments for format [-Wformat-extra-args]
file.cpp:701:70: warning: too many arguments for format [-Wformat-extra-args]
make[3]: *** [file.o] Error 1

Full logs available via
https://buildd.debian.org/status/package.php?p=mednafen

Regards,

Adam





Added indication that bug 661657 blocks 660022 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 28 Feb 2012 23:39:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#661657; Package src:mednafen. (Wed, 29 Feb 2012 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 29 Feb 2012 20:12:03 GMT) Full text and rfc822 format available.

Message #12 received at 661657@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 661657@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: mednafen: FTBFS (" invalid conversion from 'void*' to 'gzFile'")
Date: Wed, 29 Feb 2012 20:07:55 +0000
[Message part 1 (text/plain, inline)]
notfound 0.9.19-2
tags 661657 + patch
thanks

Hi,

I noticed the version of mednafen in experimental (0.9.19-2) already
includes a patch for this issue:

*
http://patch-tracker.debian.org/patch/series/view/mednafen/0.9.19-2/gzip-1.2.6-fix.patch

That doesn't apply against 0.8.D.3-2 but I've an attached an equivalent
patch and tested that it allows the package to build on kfreebsd-i386.

Could this please be applied to the version in unstable as this may be
the last remaining issue to complete a freebsd-libs transition.

Thank you,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[gzip-1.2.6-fix.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 29 Feb 2012 20:12:05 GMT) Full text and rfc822 format available.

Reply sent to Stephen Kitt <steve@sk2.org>:
You have taken responsibility. (Wed, 29 Feb 2012 22:51:20 GMT) Full text and rfc822 format available.

Notification sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Bug acknowledged by developer. (Wed, 29 Feb 2012 22:51:21 GMT) Full text and rfc822 format available.

Message #19 received at 661657-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 661657-close@bugs.debian.org
Subject: Bug#661657: fixed in mednafen 0.8.D.3-3
Date: Wed, 29 Feb 2012 22:47:16 +0000
Source: mednafen
Source-Version: 0.8.D.3-3

We believe that the bug you reported is fixed in the latest version of
mednafen, which is due to be installed in the Debian FTP archive:

mednafen_0.8.D.3-3.debian.tar.gz
  to main/m/mednafen/mednafen_0.8.D.3-3.debian.tar.gz
mednafen_0.8.D.3-3.dsc
  to main/m/mednafen/mednafen_0.8.D.3-3.dsc
mednafen_0.8.D.3-3_i386.deb
  to main/m/mednafen/mednafen_0.8.D.3-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661657@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <steve@sk2.org> (supplier of updated mednafen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 29 Feb 2012 23:28:31 +0100
Source: mednafen
Binary: mednafen
Architecture: source i386
Version: 0.8.D.3-3
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Stephen Kitt <steve@sk2.org>
Description: 
 mednafen   - multi-platform emulator, including NES, GB/A, Lynx, PC Engine
Closes: 661657
Changes: 
 mednafen (0.8.D.3-3) unstable; urgency=low
 .
   * Build with zlib 1.2.6 and later (patch by Michał Ziąbkowski, adapted
     by Steven Chamberlain; closes: #661657).
   * Build-depend on debhelper 9.
   * Standards-Version 3.9.3, no change required.
Checksums-Sha1: 
 4dc55e014c1a5220cf7ac96c23b3a79620178b8e 2187 mednafen_0.8.D.3-3.dsc
 9220b27ac2bdc934542b83b4f2bdd7aca13f95fc 9146 mednafen_0.8.D.3-3.debian.tar.gz
 2712d8c9b8438560e87830d5df6a726204f8d037 1965734 mednafen_0.8.D.3-3_i386.deb
Checksums-Sha256: 
 30d9f62ae590e3c58a976991ded6a7cc341cd83c31b72407f0af899032cd194b 2187 mednafen_0.8.D.3-3.dsc
 18c031433fe43282817dbeacef6262755072423452985ed307ce52870f098557 9146 mednafen_0.8.D.3-3.debian.tar.gz
 cc20046de6c4d90fa772c4c4766e9a57819e0c6cbc9a760f6b2cfb324ed61cb9 1965734 mednafen_0.8.D.3-3_i386.deb
Files: 
 d96032c3a82e60c1d28a5115b51de0e8 2187 games optional mednafen_0.8.D.3-3.dsc
 868a8b213740ad97a2144610a41cd759 9146 games optional mednafen_0.8.D.3-3.debian.tar.gz
 8a14d27da65987621368e032f8216173 1965734 games optional mednafen_0.8.D.3-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPTqlKAAoJEHWXeKmja0lPbqAP/2BP7lF3hAicmEgJHR2695CR
PLYnxlypUINEIy65AvugJrPkk4qGnKRXD1xfUtJXMecUBIIo4XnIEjDRlNwQkIZz
Mt6d9KC8TtXoi9vuMCK93RSm23W8sKqx/EeapIRcXVvwY4H5bHSA6dEkWP5Y4ygC
e3FLKm1t9/dW2vmN26WxhT+KPZaHk4KEUL+SRYPIa2Qx31Ios4OzjqbsHJeZS3uf
n6+G6/rut++hx5ZMrFoJzmQjFGHZQMyt0ASPXYHGKnQY0MApmGi8zgYHxG4Hf5tz
ws0i4mPTTrOEOLbhpolwVw98z1T6Q8PXcsavxNV88lQ7x9rF47154R0Wcw3GOaIt
nhHlLsu2hMAeF/mX0zNPyk2k13ivaE+pqD8LAj+CAwTRzG5vPzP9G4XaxZG223YB
Rt7hIK+lzx9eDwHBydNsBHhvaOblsu0WwbB/W2XN6f8SA4RtisrddwNp7VVrL1Lu
H0F1gC4VaLcOIukjNR3nCRNxCIm+DiVFachiNqm/0GDZY5NJPgwCI8VPxFxVrJaS
alWh54Qw7sMAhEZjCW62sYUJ2bOH2HZPP6qeRF1LCL6ghGMH3I6VwusYXJVF5pRz
h7U027UvKFUUXVvxgp/OpMiS88TqApVyzTyvbplVSF3NxH15btXSxjla3c0vYZeh
e8vl3m+dcgdOzeksQbQd
=FcLb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 Mar 2012 07:37:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:59:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.